Bug 1905611 - glibc: Do not remove debugging information from ld.so
Summary: glibc: Do not remove debugging information from ld.so
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Arjun Shankar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-08 16:11 UTC by Florian Weimer
Modified: 2021-07-16 14:09 UTC (History)
13 users (show)

Fixed In Version: glibc-2.33.9000-6.fc35 glibc-2.33-11.fc34 glibc-2.32-6.fc33
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 13:27:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2020-12-08 16:11:45 UTC
Tools like Systemtap can do useful information with the data structure layout encoded in DWARF data (such as accessing TLS without running code in the target process). We should make sure that this always works, by including the required DWARF information in ld.so.

Comment 3 Fedora Update System 2021-05-20 14:01:46 UTC
FEDORA-2021-2ba993d6c5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2ba993d6c5

Comment 4 Fedora Update System 2021-05-21 03:56:17 UTC
FEDORA-2021-2ba993d6c5 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-2ba993d6c5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-2ba993d6c5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-05-22 01:07:59 UTC
FEDORA-2021-2ba993d6c5 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Arjun Shankar 2021-05-25 13:04:49 UTC
Fixed in Fedora 33 in version glibc-2.32-6.fc33.


Note You need to log in before you can comment on or make changes to this bug.